Bug 519788 - "Select All" button fails in certain circumstances
Summary: "Select All" button fails in certain circumstances
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space07
TreeView+ depends on / blocked
 
Reported: 2009-08-27 19:21 UTC by Joshua Roys
Modified: 2012-03-06 09:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-16 20:24:46 UTC


Attachments (Terms of Use)

Description Joshua Roys 2009-08-27 19:21:36 UTC
Description of problem:
the "Select All" button fails on at least one page (/rhn/systems/details/configuration/DiffFileSubmit.do?sid=xxxxxx)


Version-Release number of selected component (if applicable):
0.6


How reproducible:


Steps to Reproduce:
1. have a configuration channel (or sandbox maybe) with files associated with a system.
2. go to: Systems -> (any system name) -> Configuration -> Compare Files
3. click "Select All"
  
Actual results:
nothing is selected, and in fact currently selected checkboxes are unselected


Expected results:
select all checkboxes/files


Additional info:

Comment 1 Justin Sherrill 2009-11-23 19:44:05 UTC
fixed in spacewalk master
8d1e431fd21b251d764ec5fe9a775114806b635f

Comment 2 Joshua Roys 2009-12-16 20:21:17 UTC
Works here as well- you can close this out.  Thanks!

Comment 3 Justin Sherrill 2009-12-16 20:24:46 UTC
Great!


Note You need to log in before you can comment on or make changes to this bug.